Add insert row values

- « TableInsert::execute

- mysql_xdevapi\TableSelect »

- PHP Manual
- mysql_xdevapi\TableInsert
- Add insert row values

# TableInsert::values

(No version information available, might only be in Git)

TableInsert::values — Add insert row values

### Description

public mysql_xdevapi\TableInsert::values(array `$row_values`): mysql_xdevapi\TableInsert

Set the values to be inserted.

### Parameters

`row_values`

  Values (an array) of columns to insert.

### Return Values

A TableInsert object.

### Examples

Example #1 mysql_xdevapi\TableInsert::values() example

    <?php$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();$session->sql("CREATE DATABASE addressbook")->execute();$session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();$session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();$schema = $session->getSchema("addressbook");$table  = $schema->getTable("names");$table  ->insert("name", "age")  ->values(["Suzanne", 31],["Julie", 43])  ->execute();?>